Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
bouncers
/
{bouncer}
Get a bouncer
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/bouncers/{bouncer} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "sku": {
    "name": "<string>",
    "display_name": "<string>",
    "cpu": "<string>",
    "ram": 123,
    "sort_order": 123
  },
  "target": "primary",
  "replicas_per_cell": 123,
  "created_at": "<string>",
  "updated_at": "<string>",
  "deleted_at": "<string>",
  "actor": {
    "id": "<string>",
    "display_name": "<string>",
    "avatar_url": "<string>"
  },
  "branch": {
    "id": "<string>",
    "name": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "deleted_at": "<string>"
  },
  "parameters": [
    {
      "id": "<string>",
      "namespace": "pgbouncer",
      "name": "<string>",
      "display_name": "<string>",
      "category": "<string>",
      "description": "<string>",
      "immutable": true,
      "parameter_type": "array",
      "default_value": "<string>",
      "value": "<string>",
      "required": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "restart": true,
      "max": 123,
      "min": 123,
      "step": 123,
      "url": "<string>",
      "options": [
        "<string>"
      ],
      "actor": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

bouncer
string
required

The name of the bouncer

Response

Returns a bouncer

id
string
required

The ID of the bouncer

name
string
required

The name of the bouncer

sku
object
required
target
enum<string>
required

The instance type the bouncer targets

Available options:
primary,
replica,
replica_az_affinity
replicas_per_cell
integer
required

The count of replicas in each cell

created_at
string
required

When the bouncer was created

updated_at
string
required

When the bouncer was updated

deleted_at
string
required

When the bouncer was deleted

actor
object
required
branch
object
required
parameters
object[]
required